OSCinit
Prev | Orchestra Opcodes and Operators | Next

## OSCinit

OSCinit — Start a listening process for OSC messages to a particular port.

## Description

Starts a listening process, which can be used by OSClisten.

## Syntax

    ihandle OSCinit iport

## Initialization

ihandle -- handle returned that can be passed to any number of OSClisten opcodes to receive messages on this port.

iport -- the port on which to listen.

## Performance

The listener runs in the background. See OSClisten for details.

## Example

The example shows a pair of floating point numbers being received on port 7770.

    sr = 44100
    ksmps = 100
    nchnls = 2

    gihandle OSCinit 7770

      instr   1
        kf1 init 0
        kf2 init 0
    nxtmsg:
        kk  OSClisten gihandle, "/foo/bar", "ff", kf1, kf2
    if (kk == 0) goto ex
        printk 0,kf1
        printk 0,kf2
        kgoto nxtmsg
    ex:
      endin

## Credits

Author: John ffitch
2005

Prev | Up | Next
OSCsend | Home | OSClisten